<?php
/**
 * Actions Framework.
 *
 * WARNING: This file is part of the core Actions Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package Actions
 * @author  WPDevHQ
 * @license GPL-2.0+
 * @link    http://www.wpdevhq.com/themes/actions/
 */
 
if ( ! function_exists( 'actions_home' ) ) {
/*
 * Setup Home/Blog template Actions
 */
function actions_home() {

get_header();
 
    do_action( 'actions_before_content_wrapper' );
	
	do_action( 'actions_before_index' );
	
        if ( have_posts() ) :
		
		    do_action( 'actions_before_index_elements' );
			
			    do_action( 'actions_index_elements' ); // Give your elements priorities so that they hook in the right place.
				
			do_action( 'actions_after_index_elements' );
        
		// If no content, include the "No posts found" template.
		else :
			do_action( 'actions_before_content_none' );
			
			    do_action( 'actions_index_content_none' );
				
			do_action( 'actions_after_content_none' );
			
		endif;
		
    do_action( 'actions_after_content_wrapper' );
	
	do_action( 'actions_sidebar' );
	
get_footer();
}
}

if ( ! function_exists( 'actions_index' ) ) {
/*
 * Setup Index template Actions
 */
function actions_index() {
get_header();
 
    do_action( 'actions_before_content_wrapper' );
	
	do_action( 'actions_before_index' );
	
        if ( have_posts() ) :
		
		    do_action( 'actions_before_index_elements' );
			
			    do_action( 'actions_index_elements' ); // Give your elements priorities so that they hook in the right place.
				
			do_action( 'actions_after_index_elements' );
        
		// If no content, include the "No posts found" action.
		else :
			do_action( 'actions_before_content_none' );
			
			    do_action( 'actions_index_content_none' );
				
			do_action( 'actions_after_content_none' );
			
		endif;
		
    do_action( 'actions_after_content_wrapper' );
	
	do_action( 'actions_sidebar' );
	
get_footer();
}
}

if ( ! function_exists( 'actions_page' ) ) {
/*
 * Setup default page template Actions
 */
function actions_page() {
	get_header();
    
	do_action( 'actions_before_content_wrapper' );
	
	do_action( 'actions_before_page' );
	
        while ( have_posts() ) : the_post();
		    do_action( 'actions_page_elements' ); // Give your elements priorities so that they hook in the right place.
		endwhile;
		
    do_action( 'actions_after_page' );
	
	do_action( 'actions_after_content_wrapper' );

get_footer();
}
}

if ( ! function_exists( 'actions_single' ) ) {
/*
 * Setup dsingle post template Actions
 */
 
function actions_single() {
get_header(); 

    do_action( 'actions_before_content_wrapper' );
	
	    do_action( 'actions_before_single' );
		
            do_action( 'actions_single_post_elements' ); // Give your elements priorities so that they hook in the right place.
			
		    do_action( 'actions_single_post_comments' );
			
        do_action( 'actions_after_single' );
		
    do_action( 'actions_after_content_wrapper' );	

get_footer();
}
}

if ( ! function_exists( 'actions_search' ) ) {
/*
 * Setup dsingle post template Actions
 */
 
    function actions_search() {
    get_header();
 
        do_action( 'actions_before_content_wrapper' );
	
	    do_action( 'actions_before_index' );
	
            if ( have_posts() ) :
		
		        do_action( 'actions_before_search_elements' );
			
			        do_action( 'actions_index_elements' ); // Give your elements priorities so that they hook in the right place.
				
			    do_action( 'actions_after_search_elements' );
        
		    // If no content, include the "No posts found" action.
		    else :
			    do_action( 'actions_before_content_none' );
			
			        do_action( 'actions_index_content_none' );
				
			    do_action( 'actions_after_content_none' );
			
		    endif;
		
        do_action( 'actions_after_content_wrapper' );
	
	    do_action( 'actions_sidebar' );
	
    get_footer();
    }
}